clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::MemberTypeInfo Struct Reference

`#include <Representation.h>`

Inheritance diagram for clang::doc::MemberTypeInfo:
[legend]
Collaboration diagram for clang::doc::MemberTypeInfo:
[legend]

## Public Member Functions
| MemberTypeInfo ()=default
| MemberTypeInfo (SymbolID Type, StringRef Field, InfoType IT, StringRef Path, llvm::StringRef Name, AccessSpecifier Access)
| MemberTypeInfo (llvm::StringRef RefName, llvm::StringRef Name, AccessSpecifier Access)
| MemberTypeInfo (llvm::StringRef RefName, StringRef Path, llvm::StringRef Name, AccessSpecifier Access)
bool | operator== (const MemberTypeInfo &Other) const
Public Member Functions inherited from clang::doc::FieldTypeInfo
| FieldTypeInfo ()=default
| FieldTypeInfo (SymbolID Type, StringRef Field, InfoType IT, StringRef Path, llvm::StringRef Name)
| FieldTypeInfo (llvm::StringRef RefName, llvm::StringRef Name)
| FieldTypeInfo (llvm::StringRef RefName, StringRef Path, llvm::StringRef Name)
bool | operator== (const FieldTypeInfo &Other) const
Public Member Functions inherited from clang::doc::TypeInfo
| TypeInfo ()=default
| TypeInfo (SymbolID Type, StringRef Field, InfoType IT)
| TypeInfo (SymbolID Type, StringRef Field, InfoType IT, StringRef Path)
| TypeInfo (llvm::StringRef RefName)
| TypeInfo (llvm::StringRef RefName, StringRef Path)
bool | operator== (const TypeInfo &Other) const

## Public Attributes
AccessSpecifier | Access = AccessSpecifier::AS_public
Public Attributes inherited from clang::doc::FieldTypeInfo
SmallString< 16 > | Name
Public Attributes inherited from clang::doc::TypeInfo
Reference | Type

## Detailed Description

Definition at line 185 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ MemberTypeInfo() [1/4]

clang::doc::MemberTypeInfo::MemberTypeInfo | ( |  | ) |
| default

## ◆ MemberTypeInfo() [2/4]

clang::doc::MemberTypeInfo::MemberTypeInfo | ( | SymbolID | Type,
|  | StringRef | Field,
|  | InfoType | IT,
|  | StringRef | Path,
|  | llvm::StringRef | Name,
|  | AccessSpecifier | Access
| ) |  |
| inline

Definition at line 187 of file Representation.h.

## ◆ MemberTypeInfo() [3/4]

clang::doc::MemberTypeInfo::MemberTypeInfo | ( | llvm::StringRef | RefName,
|  | llvm::StringRef | Name,
|  | AccessSpecifier | Access
| ) |  |
| inline

Definition at line 190 of file Representation.h.

## ◆ MemberTypeInfo() [4/4]

clang::doc::MemberTypeInfo::MemberTypeInfo | ( | llvm::StringRef | RefName,
|  | StringRef | Path,
|  | llvm::StringRef | Name,
|  | AccessSpecifier | Access
| ) |  |
| inline

Definition at line 193 of file Representation.h.

## Member Function Documentation

## ◆ operator==()

bool clang::doc::MemberTypeInfo::operator== | ( | const MemberTypeInfo & | Other | ) | const
| inline

Definition at line 197 of file Representation.h.

References Access, Name, clang::doc::FieldTypeInfo::Name, Type, and clang::doc::TypeInfo::Type.

## Member Data Documentation

## ◆ Access

AccessSpecifier clang::doc::MemberTypeInfo::Access = AccessSpecifier::AS_public

Definition at line 206 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), llvm::yaml::MappingTraits< MemberTypeInfo >::mapping(), and operator==().

The documentation for this struct was generated from the following file:

- Representation.h